#
# spec file for package pfscalibration
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           pfscalibration
Url:            http://www.mpi-sb.mpg.de/resources/hdr/calibration/pfs.html
Version:        1.4
Release:        23.3
License:        GPL-2.0+
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source:         %{name}-%{version}.tar.bz2
Patch:          %{name}-gcc.patch
Group:          Productivity/Multimedia/Other
BuildRequires:  gcc-c++ libtool pfstools-devel pkgconfig
# jpeg2hdrgen needs jhead
Requires:       jhead
Summary:        Photometric Calibration of HDR and LDR Cameras

%description
A photographic camera with a standard CCD sensor is able to acquire an
image with simultaneous dynamic range of not more than 1:1000. The
basic idea to create an image with a higher dynamic range is to combine
multiple images with different exposure settings, thus making use of
available sequential dynamic range.



Authors:
--------
    Grzegorz Krawczyk <gkrawczyk@users.sourceforge.net>

%prep
%setup -q
%patch

%build
%{?suse_update_config:%{suse_update_config}}
autoreconf -fi
CFLAGS="$RPM_OPT_FLAGS" \
CXXFLAGS="$RPM_OPT_FLAGS" \
./configure \
    --prefix=/usr \
    --mandir=%{_mandir} \
    --libdir=%{_libdir}
make %{?jobs:-j%jobs}

%install
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL README TODO
%{_bindir}/*
%{_mandir}/man?/*

%changelog
* Fri Nov 25 2011 coolo@suse.com
- add libtool as buildrequire to avoid implicit dependency
* Sun Sep  7 2008 postadal@suse.cz
- updated to version 1.4
  * a new calibration algorithm: Mitsunaga and Nayar's algorithm
    "Radiometric Self Calibration"
* Wed May  7 2008 schwab@suse.de
- Use autoreconf.
* Sun Mar 25 2007 aj@suse.de
- jpeg2hdrgen needs jhead, add it to Requires.
* Fri Dec 22 2006 ro@suse.de
- fix configure arguments and such prevent rpath for //usr/lib
* Sat Oct  7 2006 postadal@suse.cz
- initial version 1.3
- used CXXFLAGS (gcc.patch)
